###: import MapView kivy.garden.mapview

<MapsScreen>:

    location_name_text_input: location_name

    BoxLayout:
        orientation: 'vertical'

        BoxLayout:
            size_hint_y: None
            size: 80, 80

            Button:
                size_hint: None, None
                size: 80, 80
                text: '<'
                on_release:
                    root.manager.transition.direction = 'right'
                    root.manager.current = 'MainScreen'

            Label:
                text: 'MAPS'

        BoxLayout:
            size_hint_y: 1
            size: 80, 80

            Label:
                text: 'Location: '

            TextInput:
                id: location_name
                multiline: False


            Button:
                text: 'Search'

        BoxLayout:
            size_hint_y: 5
##            MapView:
##                zoom: 7
##                lat: 34.651
##                lon: 10.283
